crashpad::AuxiliaryVector Class Reference

Read the auxiliary vector for a target process. More...

`#include "util/linux/auxiliary_vector.h"`

## Public Member Functions

bool | Initialize (PtraceConnection *connection)
| Initializes this object with the auxiliary vector for the process connected via connection. More...
template<typename V >
bool | GetValue (uint64_t type, V *value) const
| Retrieve a value from the vector. More...

## Protected Attributes

std::map< uint64_t, uint64_t > | values_

## Detailed Description

Read the auxiliary vector for a target process.

## Member Function Documentation

## GetValue()

template<typename V >

bool crashpad::AuxiliaryVector::GetValue | ( | uint64_t | type,
|  | V * | value
| ) |  | const

inline

Retrieve a value from the vector.

Parameters

  [in] | type | Specifies which value should be retrieved. The possible values for this parameter are defined by `<linux/auxvec.h>`.
  [out] | value | The value, casted to an appropriate type, if found.

Returns
  `true` if the value is found.

## Initialize()

bool crashpad::AuxiliaryVector::Initialize | ( | PtraceConnection * | connection | ) |

Initializes this object with the auxiliary vector for the process connected via connection.

This method must be called successfully prior to calling any other method in this class.

Parameters

  [in] | connection | A connection to the target process.

Returns
  `true` on success, `false` on failure with a message logged.

The documentation for this class was generated from the following files:

- util/linux/auxiliary_vector.h
- util/linux/auxiliary_vector.cc